<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7fafa">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/ll_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingTop="6dp"
            android:paddingBottom="6dp"
            app:layout_constraintTop_toTopOf="parent"
            tools:layout_editor_absoluteX="16dp">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_16"
                android:src="@drawable/icon_return_w" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold" />

        </FrameLayout>

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/idLottie"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-8dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_title"
            app:lottie_autoPlay="true"
            app:lottie_fileName="ok.json" />


        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_cleaned_up"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-8dp"
            android:text="@string/cleaned_up"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/idLottie" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:layout_marginBottom="32dp"
            android:text="@string/cleaned_up_content"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_cleaned_up" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rvResult"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:paddingTop="12dp"
        android:paddingBottom="12dp"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top" />


</androidx.constraintlayout.widget.ConstraintLayout>